Query Preferences Vcf

Query Preferences Vcf
Query user preferences for the logged in user.

Query user preferences for the logged in user with sorting, paging, and filtering support.

Request
URI
GET
https://{api_host}/cloudapi/v1/preferences
COPY
Query Parameters
string
filter
Optional

Filter for a query. FIQL format.

string
sortAsc
Optional

Field to use for ascending sort

string
sortDesc
Optional

Field to use for descending sort

integer
page
Required
Constraints: minimum: 1 default: 1

Page to fetch, zero offset.

integer
pageSize
Required
Constraints: minimum: 0 maximum: 128 default: 25

Results per page to fetch.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns Preferences of type(s) application/json;version=9.1.0
This response body class contains all of the following: Page , InlinePreferences1
{
    "resultTotal": 0,
    "pageCount": 0,
    "page": 0,
    "pageSize": 0,
    "associations": [
        {
            "entityId": "string",
            "associationId": "string"
        }
    ],
    "values": [
        {
            "classifier": "string",
            "name": "string",
            "value": "string"
        }
    ]
}

Vendor Extension

This operation contains the following vendor extensions defined in the spec:

                    [{"type":"Classic"},{"type":"Modern"}]
                
Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/cloudapi/v1/preferences?page=value&pageSize=v